#ifndef XGPUTEXTURESIZESTACK1D_H
#define XGPUTEXTURESIZESTACK1D_H

#include "xasset.h"

class XGpuTextureSizeStack1D : public XAsset
{
public:
    explicit XGpuTextureSizeStack1D();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    quint32 mWidth;
};

#endif // XGPUTEXTURESIZESTACK1D_H








